curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/vacation_pay_balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/vacation_pay_balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/vacation_pay_balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "vacation_pay_balance",
"data": {
"vacation_pay_opening_balance": 0,
"vacation_pay_accrued_in_period": 0,
"vacation_pay_paid_in_period": 0,
"vacation_pay_closing_balance": 0
}
}Get an employee's vacation pay balance for a work assignment
This endpoint gets an employee’s vacation pay balance for a work assignment. The balance
covers a reporting period (specified using period_start, period_end, or pay_date
filters) and includes the opening balance, amount accrued, amount paid, and closing balance
for that period.
If you need a detailed history of vacation pay accruals, payments, and adjustments by payroll, use the vacation pay history endpoint instead.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter results by the payrolls' period start dates.
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: period_start=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:period_start[gte]=2024-01-01&period_start[lt]=2024-12-31
Filter results by the payrolls' period end dates.
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: period_end=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:period_end[gte]=2024-01-01&period_end[lt]=2024-12-31
Filter results by the payrolls' pay dates.
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: pay_date=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:pay_date[gte]=2024-01-01&pay_date[lt]=2024-12-31
When true, includes the next (draft) payroll in the calculation.
When true, includes approved but not yet paid payrolls in the calculation.
Response
OK
The type of the object in Nmbr ("list").
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("vacation_pay_balance").

